<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Evaluate a R expression in an environment constructed from a...</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for with,DataFrame-method {SparkR}"><tr><td>with,DataFrame-method {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>Evaluate a R expression in an environment constructed from a DataFrame</h2>

<h3>Description</h3>

<p>Evaluate a R expression in an environment constructed from a DataFrame
with() allows access to columns of a DataFrame by simply referring to
their name. It appends every column of a DataFrame into a new
environment. Then, the given expression is evaluated in this new
environment.
</p>


<h3>Usage</h3>

<pre>
## S4 method for signature 'DataFrame'
with(data, expr, ...)

with(data, expr, ...)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>data</code></td>
<td>
<p>(DataFrame) DataFrame to use for constructing an environment.</p>
</td></tr>
<tr valign="top"><td><code>expr</code></td>
<td>
<p>(expression) Expression to evaluate.</p>
</td></tr>
<tr valign="top"><td><code>...</code></td>
<td>
<p>arguments to be passed to future methods.</p>
</td></tr>
</table>


<h3>See Also</h3>

<p><a href="attach.html">attach</a>
</p>


<h3>Examples</h3>

<pre>
## Not run: 
with(irisDf, nrow(Sepal_Width))

## End(Not run)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
